%define pypi_name mpmath

Name: python-mpmath
Version: 1.3.0
Release: %mkrel 4
Summary: Python library for arbitrary-precision floating-point arithmetic
Group: Development/Python
License: BSD
URL: https://mpmath.org/
Source0: %{pypi_source}
BuildArch: noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel

%description
A Python library for arbitrary-precision floating-point arithmetic.

%package -n python3-%{pypi_name}
Summary: Python library for arbitrary-precision floating-point arithmetic
Recommends: python3dist(matplotlib)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python library for arbitrary-precision floating-point arithmetic.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Convert line encodings
for doc in LICENSE PKG-INFO mpmath/tests/runtests.py; do
 sed "s|\r||g" $doc > $doc.new
 touch -r $doc $doc.new
 mv $doc.new $doc
done

# Get rid of unnecessary shebangs
for lib in mpmath/tests/runtests.py; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new && \
 touch -r $lib $lib.new && \
 mv $lib.new $lib
done

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mpmath

%check
export PYTHONPATH=$(pwd)/build/lib
cd build/lib/mpmath/tests/
%{__python3} runtests.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 1.3.0-4.mga10
+ Revision: 2158776
- rebuild for python3.13

* Sun Dec 24 2023 wally <wally> 1.3.0-3.mga10
+ Revision: 2021146
- another rebuild for py3.12 due to a missing pkgs
- use %%pyproject_buildrequires

* Thu Dec 21 2023 tv <tv> 1.3.0-2.mga10
+ Revision: 2020794
- Rebuild for python 3.12

* Wed Sep 20 2023 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 1988347
- new 1.3.0

* Sat Mar 26 2022 umeabot <umeabot> 1.2.1-4.mga9
+ Revision: 1828452
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 1.2.1-3.mga9
+ Revision: 1775308
- Rebuild for python-3.10

* Fri Oct 08 2021 neoclust <neoclust> 1.2.1-2.mga9
+ Revision: 1750130
- Add P100/101: Fixes CVE-2021-29063 (mga#29537)

* Sun Mar 21 2021 joequant <joequant> 1.2.1-1.mga9
+ Revision: 1706693
- fix requires
- fix requires
- update to 1.2.1 / python 3.9

* Sun Mar 21 2021 tv <tv> 1.1.0-6.mga9
+ Revision: 1706511
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1533115
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 daviddavid <daviddavid> 1.1.0-4.mga8
+ Revision: 1443491
- rebuild for python3.8

* Tue Sep 17 2019 tv <tv> 1.1.0-3.mga8
+ Revision: 1442916
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1435680
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1354465
- add BRs
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1289205
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1210920
- Update to version 1.0.0
- Renamed python-mpmath to python2-mpmath

* Sat Aug 05 2017 pterjan <pterjan> 0.19-4.mga7
+ Revision: 1135505
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.19-3.mga6
+ Revision: 970943
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.19-2.mga6
+ Revision: 888814
- rebuild for python 3.5

* Wed Sep 09 2015 fwang <fwang> 0.19-1.mga6
+ Revision: 874536
- update doc files
- use new macro
- 0.19

* Wed Oct 15 2014 umeabot <umeabot> 0.17-8.mga5
+ Revision: 748462
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.17-7.mga5
+ Revision: 729129
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.17-6.mga5
+ Revision: 688162
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.17-5.mga5
+ Revision: 628818
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.17-4.mga4
+ Revision: 543714
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.17-3.mga4
+ Revision: 498944
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 philippem <philippem> 0.17-2.mga4
+ Revision: 477754
- add Python 3

* Tue Feb 12 2013 fwang <fwang> 0.17-1.mga3
+ Revision: 397969
- add suggests per upstream
- imported package python-mpmath

